Peplink Portal Docs
Starlink Contacts

Search Starlink Contacts

Search Starlink contacts under your partner account by different criteria.

Required Capabilities

Starlink Viewer

Request

GET/starlink/contacts/search

Query parameters

pageNumintegeroptionaldefault: 1

Page number of the search result. Minimum value allowed is 1.

pageSizeintegeroptionaldefault: 10

A limit on the number of items returned. Allowed value can range between 1 and 100.

querystringoptional

Search query string.

starlinkAccountRefIdstringoptional

Filter results by Starlink account reference ID.

emailstringoptional

Filter results by email address.

Response

A json is returned in the response body with the following fields:

totalCountlong

Total number of records found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.

itemsobject array

Returns records found for the current page of search result.

Show child attributes
items.refIdstring

Reference ID of the Starlink contact.

items.starlinkAccountRefIdstring

Reference ID of the Starlink account the contact belongs to.

items.firstNamestring

First name of the contact.

items.lastNamestring

Last name of the contact.

items.emailstring

Email address of the contact.

items.phonestring

Phone number of the contact.

items.rolesenum array

Roles assigned to the contact.

  • BILLING_READ_ONLY — Billing Read Only
  • SERVICE_ACCOUNT_MANAGEMENT — Service Account Management
  • SUPPORT — Support
  • SUPPORT_READ_ONLY — Support Read Only
  • TECHNICAL_CONFIGURATION — Technical Configuration
  • TECHNICAL_READ_ONLY — Technical Read Only
items.starlinkSubjectIdnullable string

Starlink subject ID of the contact. null if not applicable.

items.starlinkSyncobject

Starlink sync information of the contact.

Show child attributes
items.starlinkSync.syncStatusnullable enum

The sync status of the contact. null if not applicable.

  • PENDING — The sync is pending.
  • ABORTED — The sync has been aborted.
  • SYNCING — The sync is in progress.
  • SYNCED — The sync has completed.
items.starlinkSync.runCountnumber

The number of times the contact sync has been run.

items.starlinkSync.runCountLimitnumber

The maximum number of times the contact sync can be run.

items.starlinkSync.lastSyncedAtnullable datetime string

The last time the contact was synced. null if not applicable.

items.createdAtdatetime string

Date and time the contact was created.

items.createdBystring

Username of the user who created the contact.

items.createdByEmailnullable string

Email of the user who created the contact. null if not applicable.

items.updatedAtdatetime string

Date and time the contact was last updated.

items.updatedBystring

Username of the user who last updated the contact.

items.updatedByEmailnullable string

Email of the user who last updated the contact. null if not applicable.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/starlink/contacts/search?pageNum=1&pageSize=5' \  -H 'Authorization: Bearer {token}'

Response

{
  "totalCount": 1,
  "items": [
    {
      "refId": "237",
      "starlinkAccountRefId": "108",
      "firstName": "John",
      "lastName": "Smith",
      "email": "[email protected]",
      "phone": "+35521323112",
      "roles": ["BILLING_READ_ONLY"],
      "starlinkSubjectId": "cf86c4ff-eb39-4781-815b-f14d25dd0151",
      "starlinkSync": {
        "syncStatus": "SYNCED",
        "runCount": 0,
        "runCountLimit": 10,
        "lastSyncedAt": "2026-03-25T03:30:53.981Z"
      },
      "createdAt": "2026-03-25T03:30:44.170Z",
      "createdBy": "Alice C",
      "createdByEmail": "[email protected]",
      "updatedAt": "2026-03-25T03:30:55.932Z",
      "updatedBy": "System",
      "updatedByEmail": null
    }
  ]
}

On this page